Bug 1734348 - unbound-munin stat missing
Summary: unbound-munin stat missing
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: unbound
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 10:11 UTC by Dankaházi István
Modified: 2020-05-26 16:22 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:22:09 UTC
Type: Bug


Attachments (Terms of Use)
missing dynazoom.html graf (56.60 KB, image/png)
2019-07-30 10:11 UTC, Dankaházi István
no flags Details

Description Dankaházi István 2019-07-30 10:11:24 UTC
Created attachment 1594561 [details]
missing dynazoom.html graf

Description of problem:
a)unbound-munin stat missing
b)missing dynazoom.html graf

Version-Release number of selected component (if applicable):
munin-2.0.49-3.fc30.noarch, unbound-munin-1.8.3-4.fc30.noarch, munin-apache-2.0.49-3.fc30.noarch, munin-common-2.0.49-3.fc30.noarch, munin-node-2.0.49-3.fc30.noarch

How reproducible:
instal munin and unbound-munin munin-apache-2.0.49-3.fc30.noarch... all dependencies
all graf showing, but unbound missing

Steps to Reproduce:
1.dnf install munin munin-node unbound-munin 
2. munin-node-configure --suggest / munin-node-configure --shell --families=contrib,auto | sh -x
3. https://127.0.0.1/munin 

Actual results: 
missing dynazoom.html
https://127.0.0.1/munin/static/dynazoom.html?cgiurl_graph=/munin-cgi/munin-cgi-graph&plugin_name=localhost/localhost/meminfo_phisical/cb&size_x=800&size_y=400&start_epoch=1564372823&stop_epoch=1564480823

Expected results:


Additional info:

cat /var/log/munin-node/munin-node.log
2019/07/30-11:55:02 CONNECT TCP Peer: "[::ffff:127.0.0.1]:40484" Local: "[::ffff:127.0.0.1]:4949"
2019/07/30-11:55:04 [10453] Error output from unbound_munin_by_class:
2019/07/30-11:55:04 [10453] 	/etc/munin/plugins/unbound_munin_by_class: line 163: /usr/sbin/unbound-control: Permission denied
2019/07/30-11:55:04 [10453] Service 'unbound_munin_by_class' exited with status 1/0.
2019/07/30-11:55:04 [10453] Error output from unbound_munin_histogram:
2019/07/30-11:55:04 [10453] 	/etc/munin/plugins/unbound_munin_histogram: line 163: /usr/sbin/unbound-control: Permission denied
2019/07/30-11:55:04 [10453] Service 'unbound_munin_histogram' exited with status 1/0.
2019/07/30-11:55:14 [10453] Error output from unbound_munin_hits:
2019/07/30-11:55:14 [10453] 	/etc/munin/plugins/unbound_munin_hits: line 163: /usr/sbin/unbound-control: Permission denied
2019/07/30-11:55:14 [10453] Service 'unbound_munin_hits' exited with status 1/0.
2019/07/30-11:55:17 [10453] Error output from unbound_munin_by_rcode:
2019/07/30-11:55:17 [10453] 	/etc/munin/plugins/unbound_munin_by_rcode: line 163: /usr/sbin/unbound-control: Permission denied
2019/07/30-11:55:17 [10453] Service 'unbound_munin_by_rcode' exited with status 1/0.
2019/07/30-11:55:17 [10453] Error output from unbound_munin_by_type:
2019/07/30-11:55:17 [10453] 	/etc/munin/plugins/unbound_munin_by_type: line 163: /usr/sbin/unbound-control: Permission denied
2019/07/30-11:55:17 [10453] Service 'unbound_munin_by_type' exited with status 1/0.
2019/07/30-11:55:17 [10453] Error output from unbound_munin_memory:
2019/07/30-11:55:17 [10453] 	/etc/munin/plugins/unbound_munin_memory: line 163: /usr/sbin/unbound-control: Permission denied
2019/07/30-11:55:17 [10453] Service 'unbound_munin_memory' exited with status 1/0.
2019/07/30-11:55:19 [10453] Error output from unbound_munin_by_opcode:
2019/07/30-11:55:19 [10453] 	/etc/munin/plugins/unbound_munin_by_opcode: line 163: /usr/sbin/unbound-control: Permission denied
2019/07/30-11:55:19 [10453] Service 'unbound_munin_by_opcode' exited with status 1/0.
2019/07/30-11:55:20 [10453] Error output from unbound_munin_by_flags:
2019/07/30-11:55:20 [10453] 	/etc/munin/plugins/unbound_munin_by_flags: line 163: /usr/sbin/unbound-control: Permission denied
2019/07/30-11:55:20 [10453] Service 'unbound_munin_by_flags' exited with status 1/0.
2019/07/30-11:55:21 [10453] Error output from unbound_munin_queue:
2019/07/30-11:55:21 [10453] 	/etc/munin/plugins/unbound_munin_queue: line 163: /usr/sbin/unbound-control: Permission denied
2019/07/30-11:55:21 [10453] Service 'unbound_munin_queue' exited with status 1/0.

Comment 2 Kim B. Heino 2019-07-30 11:00:42 UTC
This bug includes two unrelated things. You should open two bugs instead.

a) unbound-munin.rpm is not part of Munin, so I'll have to reassign this bug to Paul.

b) Is dynazoom broken only for unbound graphs? It might related to a), as there are no statistics for it. If it missing for all, then make sure your apache is configured correctly. See /usr/share/doc/munin*/apache*.conf and their comments. If that doesn't help, then open new separate bug with above info + apache logs + configs.

Comment 3 Dankaházi István 2019-07-30 12:19:32 UTC
Thx Kim!

a) Only bug unbound-munin

b) Is dynazoom broken all for unbound graphs!

/usr/share/doc/munin*/apache*.conf 

Add following three lines to /etc/munin/conf.d/local.conf (without # character):
#   graph_strategy cgi
#   html_strategy cgi
#   cgiurl_graph /munin/graph

# Then copy this file to /etc/httpd/conf.d/ directory and restart httpd.

I made this, but it does not work dynazoom.

Comment 4 Dankaházi István 2019-07-30 12:36:07 UTC
Sorry!

b) Is dynazoom broken all for munin graphs!

Comment 5 Ben Cotton 2020-04-30 21:27:44 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-05-26 16:22:09 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.